#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>
#import <AppKit/GSHbox.h>
#import <AppKit/GSVbox.h>

@interface ButtonBox : NSObject
{
  id _target;
  SEL _action;
  NSMutableArray *buttonArray;
  NSMutableArray *buttonTitlesArray;
  id box;
}

-(id) initWithButtonArray: (NSArray *) theButtons;

- (void) setOrientationHorizontal: (id) sender;
- (void) setOrientationVertical: (id) sender;

-(void) _setButtonTargets;
-(void) _buttonPressed: (id) sender;
-(void) _buttonsIntoBox;
-(void) _makeButtons;
-(void) _commonBoxSetup;

-(void) setAction: (SEL) aSelector;
-(SEL) action;

-(void) setTarget: (id) aTarget;
-(id) target;

- (void) setButtonArray: (NSArray *) theButtons;
- (NSArray*) buttonArray;

-(void) forwardInvocation:(NSInvocation *)anInvocation;
-(BOOL) respondsToSelector: (SEL) aSelector;
@end
